package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierOrderListOrderSyncDto struct {
	/*
	   买家id对应的open_uid，加密过     */
	OpenUid *string `json:"open_uid,omitempty" `

	/*
	   扩展map     */
	TradeAttributes *string `json:"trade_attributes,omitempty" `

	/*
	   班次号     */
	DutyCode *string `json:"duty_code,omitempty" `

	/*
	   赠券，格式为 券ID_券金额， 金额单位为分     */
	GiftCoupon *string `json:"gift_coupon,omitempty" `

	/*
	   打包时间     */
	PackageTime *util.LocalTime `json:"package_time,omitempty" `

	/*
	   会员积分     */
	MemberPoint *string `json:"member_point,omitempty" `

	/*
	   订单状态     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   商家code     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   收银员名称     */
	OperatorName *string `json:"operator_name,omitempty" `

	/*
	   淘宝订单号     */
	TbBizOrderId *int64 `json:"tb_biz_order_id,omitempty" `

	/*
	   收银员id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   会员卡号     */
	MemberCardNum *string `json:"member_card_num,omitempty" `

	/*
	   会员优惠金额，单位分     */
	MemberDiscountAmt *int64 `json:"member_discount_amt,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   邮费     */
	PostFee *int64 `json:"post_fee,omitempty" `

	/*
	   支付时间     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   商品总原价     */
	OriginalAmt *int64 `json:"original_amt,omitempty" `

	/*
	   总优惠金额     */
	DiscountAmt *int64 `json:"discount_amt,omitempty" `

	/*
	   盒马订单号     */
	BizOrderId *int64 `json:"biz_order_id,omitempty" `

	/*
	   外部订单号     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   实际售卖商家code     */
	SourceMerchantCode *string `json:"source_merchant_code,omitempty" `

	/*
	   订单渠道，4：盒马，3：饿了么     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   下单终端: APP,POS     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   subOrders     */
	SubOrders *[]AlibabaWdkSupplierOrderListSubOrderSyncDto `json:"sub_orders,omitempty" `

	/*
	   payChannels     */
	PayChannels *[]AlibabaWdkSupplierOrderListPayChannel `json:"pay_channels,omitempty" `
}

func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOpenUid(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OpenUid = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetTradeAttributes(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.TradeAttributes = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetDutyCode(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.DutyCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetGiftCoupon(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.GiftCoupon = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetPackageTime(v util.LocalTime) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.PackageTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetMemberPoint(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.MemberPoint = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOrderStatus(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetMerchantCode(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOperatorName(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OperatorName = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetTbBizOrderId(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.TbBizOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOperatorId(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetMemberCardNum(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.MemberCardNum = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetMemberDiscountAmt(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.MemberDiscountAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetStoreId(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetPostFee(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.PostFee = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetPayTime(v util.LocalTime) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOriginalAmt(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OriginalAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetDiscountAmt(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.DiscountAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetBizOrderId(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOutOrderId(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetShopId(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetSourceMerchantCode(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.SourceMerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOrderFrom(v int64) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetOrderClient(v string) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetSubOrders(v []AlibabaWdkSupplierOrderListSubOrderSyncDto) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.SubOrders = &v
	return s
}
func (s *AlibabaWdkSupplierOrderListOrderSyncDto) SetPayChannels(v []AlibabaWdkSupplierOrderListPayChannel) *AlibabaWdkSupplierOrderListOrderSyncDto {
	s.PayChannels = &v
	return s
}
